# Define version and release number
%define modname ast
%define soname %{modname}
%define inifile A50_%{modname}.ini
#define prerel beta

Name:		php-%{modname}
Version:	1.0.14
Release:	%mkrel 1
Group:		Development/PHP
Summary:	PHP extension exports the AST internally used by PHP
License:	BSD-3-Clause
URL:		https://pecl.php.net/package/%{modname}
Source0:	http://pecl.php.net/get/%{modname}-%{version}%{?prerel}.tgz
BuildRequires:	php-devel >= 3:8.0.0
Requires:       php >= 3:8.0.0
Requires:       php-common = 3:8.0

%description
php-ast exports the AST internally used by PHP 7.
php-ast is significantly faster than PHP-Parser, because the AST construction
is implemented in C. However, php-ast may only parse code that is syntactically
valid on the version of PHP it runs on.

%prep

%setup -q -n %{modname}-%{version}%{?prerel}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild
phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_bindir}
install -m0755 modules/%{soname}.so %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files
%doc package*.xml README.md
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}.so


%changelog
* Mon Dec 13 2021 mokraemer <mokraemer> 1.0.14-1.mga8
+ Revision: 1761980
- new version 1.0.14

* Sun Nov 29 2020 mokraemer <mokraemer> 1.0.10-2.mga8
+ Revision: 1650232
+ rebuild (emptylog)

* Tue Sep 29 2020 mokraemer <mokraemer> 1.0.10-1.mga8
+ Revision: 1631120
- new version 1.0.10

* Fri Sep 04 2020 mokraemer <mokraemer> 1.0.9-1.mga8
+ Revision: 1621625
- new version 1.0.9

* Thu Aug 06 2020 mokraemer <mokraemer> 1.0.8-1.mga8
+ Revision: 1611362
- new version 1.0.8

* Sun Jul 12 2020 mokraemer <mokraemer> 1.0.7-1.mga8
+ Revision: 1605446
- new version 1.0.7

* Thu Jun 18 2020 mokraemer <mokraemer> 1.0.6-2.mga8
+ Revision: 1596229
- fix dep to current version

* Sun Feb 23 2020 mokraemer <mokraemer> 1.0.6-1.mga8
+ Revision: 1549597
- new version 1.0.6

* Tue Feb 18 2020 umeabot <umeabot> 1.0.5-3.mga8
+ Revision: 1538968
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 1.0.5-2.mga8
+ Revision: 1463513
+ rebuild (emptylog)

* Wed Nov 27 2019 mokraemer <mokraemer> 1.0.5-1.mga8
+ Revision: 1463199
- new php-ast 1.0.5

* Wed Nov 13 2019 mokraemer <mokraemer> 1.0.4-1.mga8
+ Revision: 1459815
- new version 1.0.4

* Mon Oct 21 2019 mokraemer <mokraemer> 1.0.3-2.mga8
+ Revision: 1454914
- removed dirname

* Sun Jul 28 2019 mokraemer <mokraemer> 1.0.3-1.mga8
+ Revision: 1424800
- new version 1.0.3

* Sun Jun 30 2019 mokraemer <mokraemer> 1.0.2-1.mga8
+ Revision: 1416402
- new version 1.0.2

* Mon Feb 11 2019 mokraemer <mokraemer> 1.0.1-1.mga7
+ Revision: 1365316
- new version 1.0.1

* Mon Dec 31 2018 mokraemer <mokraemer> 1.0.0-1.mga7
+ Revision: 1347592
- new version 1.0.0

* Wed Dec 12 2018 mokraemer <mokraemer> 0.1.7-3.mga7
+ Revision: 1340423
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 0.1.7-2.mga7
+ Revision: 1326070
- updated requires

* Sun Oct 07 2018 mokraemer <mokraemer> 0.1.7-1.mga7
+ Revision: 1318524
- new php module ast
- Created package structure for php-ast.

